在ubuntu18.04+cuda10.1+python3.7下配置python0.4.0,Ubuntu1804cuda101python37,pytorch040

发表时间:2020-07-08

如题,超级详细的靠谱的Ubuntu18.04+cuda10.1+python3.7下配置pytorch0.4.0教程!!!
因为最近在训练的网络RCAN是pytorch0.4.0版本的代码,在pytorch1.x版本运行总是出错,(比如AttributeError: ‘_MSDataLoaderIter’ object has no attribute '_put_indices’或者ImportError: cannot import name ‘_DataLoaderIter’)查了一天无果,所以索性装了一个pytorch0.4.0,下面分享一下我在Ubuntu18.04+cuda10.1+python3.7下配置pytorch0.4.0的历程:
首先,新建一个想要配置的环境的名称:conda crate -n (name)
在这里插入图片描述
创建之后:source activate
进入环境,开始配置环境:
先:cd ~/.pip
如果没有该文件夹,就创建一个:mkdir ~/.pip
再次进入:cd ~/.pip
touch pip.conf
vim pip.conf #进入文件并开始编辑文件
输入”i”开始编辑:
[global]
index-url = http://mirrors.aliyun.com/pypi/simple/
[install]
trusted-host=mirrors.aliyun.com

复制进去之后按”Esc”->”:wq”->”Enter”回车之后就是保存并退出
在这里插入图片描述
然后输入:
pip3 install torch= 0.4.0 torchvision =0.4.1 -f https://download.pytorch.org/whl/cu100/torch_stable.html
这一步如果出现权限不足问题,记得在指令最后加上–user
在这里插入图片描述
安装开始,下载速度很快。
https://www.cnblogs.com/jeshy/p/11759999.html+https://blog.csdn.net/qq_18649781/article/details/89848266
在这里插入图片描述
测试
在这里插入图片描述
安装完成,测试发现报错,因为python版本不对,应该匹配,所以输入指令:conda install python=3.6
降python版本为3.6,这个过程较慢,多试几次就好了~我就试了好几次!
在这里插入图片描述
在这里插入图片描述
再次测试
在这里插入图片描述
成功!
*温馨提示:虽然pytorch安装好了,但是记得检查一下cuda和pytorch是不是匹配的!!!
具体方法就是,在安装的pytorch环境中输入:

python
import torch
torch.cuda.is_available()

看输出是否是True!
(本人也是新人,希望大家多多批评指正)

文章来源互联网,如有侵权,请联系管理员删除。邮箱:417803890@qq.com / QQ:417803890

微配音

Python Free

邮箱:417803890@qq.com
QQ:417803890

皖ICP备19001818号-4
© 2019 copyright www.pythonf.cn - All rights reserved

微信扫一扫关注公众号:

联系方式

Python Free